# GSAP (GreenSock Animation Platform)

#### Ultra high-performance, professional-grade animation for the modern web

GSAP is a suite of tools for scripted, high-performance HTML5 animations that work in all major browsers. No other library delivers such advanced sequencing, API efficiency, and tight control. Stop wrestling with cumbersome CSS animations, stuttery jQuery.animate() calls, or a system that limits your creativity. Use animation to tell a story in a rich way rather than settling for a few fades and slides.

### Getting started video

[![Getting started video](http://img.youtube.com/vi/tMP1PCErrmE/0.jpg)](http://www.youtube.com/watch?v=tMP1PCErrmE)

Think of GSAP as the Swiss Army Knife of animation...but better. It animates anything JavaScript can touch (CSS properties, canvas library objects, SVG, generic objects, whatever) and it solves lots of browser inconsistencies, all with blazing speed (up to 20x faster than jQuery). See the <a href="http://greensock.com/why-gsap/">"Why GSAP?"</a> article for details. Other libraries like jQuery, Velocity, Transit, and Zepto only tween CSS properties. Plus, their sequencing abilities and runtime controls pale by comparison. Simply put, GSAP is the most flexible high-performance animation library on the planet, which is probably why <a href="https://developers.google.com/web/fundamentals/look-and-feel/animations/css-vs-javascript">Google recommends it</a> for JS-based animations. And unlike monolithic frameworks that dictate how you structure your apps, GSAP simply owns the animation layer; sprinkle it wherever you want.

This is the public repository for GreenSock's JavaScript tools like <a href="http://greensock.com/gsap-js/" target="_blank">GSAP</a> and <a href="http://greensock.com/draggable/" target="_blank">Draggable</a>. "GSAP" describes all of the animation-related tools which include TweenLite, TweenMax, TimelineLite, TimelineMax, various plugins (like CSSPlugin for animating CSS properties of DOM elements), extra easing functions, etc. 

### Resources

* <a href="http://www.greensock.com/gsap-js/">GSAP home page</a>
* <a href="http://www.greensock.com/get-started-js/">Getting started guide</a>
* <a href="http://www.greensock.com/why-gsap/">Why GSAP?</a> (a practical guide for developers)
* <a href="http://www.greensock.com/jump-start-js/">Jump Start</a> (visually demonstrates the basic concepts)
* <a href="http://api.greensock.com/js/">Full documentation</a>
* <a href="http://www.greensock.com/draggable/">Draggable demo</a>
* <a href="http://www.greensock.com/jquery-gsap-plugin/">jQuery plugin</a>

Copyright (c) 2008-2015, GreenSock. All rights reserved. This work is subject to the <a href="http://greensock.com/standard-license">terms of use</a> or for Club GreenSock members, the software agreement that was issued with the membership.